Bug 107723 - rhn_register fails for existing account with punctuation in password
rhn_register fails for existing account with punctuation in password
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
7.2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 09:56 EDT by Bryn Reeves
Modified: 2007-04-18 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:25:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryn Reeves 2003-10-22 09:56:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030708

Description of problem:
When registering a machine with rhn_register and an existing rhn account, the
following error was produced:

----------------------------------

The server indicated an error:

    password contains character `+'
Error Class Code: 15
Error Class Info: The username contains invalid characters
Explanation: 
An error has occured while processing your request. If this problem persists
please enter a bug report <snip>

-----------------------------------

There was no error indicated on the rhn website when the password was changed to
this value.



Version-Release number of selected component (if applicable):
rhn_register-2.8.27-1.7.2

How reproducible:
Always

Steps to Reproduce:
1. Create an rhn account with a password containing '+' 
2. Attempt to register with rhn_register
3. At 'Step 2: Register or Update a User Account' enter the password.
3. On clicking 'next' the error dialog appears.
    

Actual Results:  Error dialog containing the message described in 'Description'
above.

Expected Results:  The password was accepted by the 'Account Details' section of
rhn website. I would expect either both to reject, or, both to accept, a
password with punctuation symbols. Whether '+'s are allowed or not doesn't
really matter but the two systems should be consistent.

Additional info:

Workaround: Use rhn website to change password to a value not containing
symbols. Re-run rhn_register on the machine.
Comment 1 Bill Nottingham 2006-08-07 15:02:08 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:25:15 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.